Package org.pgpainless.exception

# Class MessageNotIntegrityProtectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bouncycastle.openpgp.PGPException
org.pgpainless.exception.MessageNotIntegrityProtectedException

All Implemented Interfaces:
  `Serializable`

public class MessageNotIntegrityProtectedException extends org.bouncycastle.openpgp.PGPException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageNotIntegrityProtectedException()`

## Method Summary

### Methods inherited from class org.bouncycastle.openpgp.PGPException

`getCause, getUnderlyingException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageNotIntegrityProtectedException

public MessageNotIntegrityProtectedException()